%include	/usr/lib/rpm/macros.perl
Summary:	Package maintenance system for Debian Linux
Summary(pl.UTF-8):	Program do obsługi pakietów Debiana
Name:		dpkg
Version:	1.16.8
Release:	1
License:	GPL v2+
Group:		Applications/File
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
# Source0-md5:	9f8042561ecccd5124e5958a1e181de7
URL:		http://packages.debian.org/search?keywords=dpkg
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	libselinux-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# blacklist false positives
%define		_noautoreq	'perl(extra)' 'perl(file)' 'perl(in)' 'perl(Tie::ExtraHash)'

%description
This package contains the programs to handle deb packages known from
Debian.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia do obsługi pakietów deb znanych z
Debiana.

%package -n libdpkg-devel
Summary:	dpkg library and header files
Summary(pl.UTF-8):	Biblioteka i pliki nagłówkowe dpkg
Group:		Development/Libraries

%description -n libdpkg-devel
dpkg library and header files.

%description -n libdpkg-devel -l pl.UTF-8
Biblioteka i pliki nagłówkowe dpkg.

%prep
%setup -q

%build
%configure \
	PO4A="true" \
	--disable-dselect \
	--disable-install-info \
	--disable-silent-rules \
	--disable-start-stop-daemon \
	--with-admindir=/var/lib/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/alternatives/README

# dpkg for main part, dpkg-dev for perl-based build script
# don't use --all-name to avoid e.g. dselect inclusion
%find_lang dpkg
%find_lang dpkg-dev
cat dpkg-dev.lang >>dpkg.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dpkg.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS TODO
%attr(755,root,root) %{_bindir}/dpkg*
%attr(755,root,root) %{_bindir}/update-alternatives
%dir %{_sysconfdir}/alternatives
%dir %{_sysconfdir}/dpkg
%dir %{_sysconfdir}/dpkg/dpkg.cfg.d

%dir %{_libdir}/dpkg
%dir %{_libdir}/dpkg/parsechangelog
%attr(755,root,root) %{_libdir}/dpkg/parsechangelog/debian
%dir %{_datadir}/dpkg
%{_datadir}/dpkg/abitable
%{_datadir}/dpkg/cputable
%{_datadir}/dpkg/ostable
%{_datadir}/dpkg/triplettable
%{_datadir}/dpkg/*.mk

%{perl_vendorlib}/Dpkg.pm
%{perl_vendorlib}/Dpkg

%dir /var/lib/dpkg
%dir /var/lib/dpkg/alternatives
%dir /var/lib/dpkg/info
%dir /var/lib/dpkg/parts
%dir /var/lib/dpkg/updates

%{_mandir}/man1/dpkg*.1*
%{_mandir}/man3/Dpkg::*.3*
%{_mandir}/man5/deb*.5*
%{_mandir}/man5/dpkg.cfg.5*
%{_mandir}/man8/dpkg-*.8*
%{_mandir}/man8/update-alternatives.8*
%lang(de) %{_mandir}/de/man1/dpkg*.1*
%lang(de) %{_mandir}/de/man5/deb*.5*
%lang(de) %{_mandir}/de/man5/dpkg.cfg.5*
%lang(de) %{_mandir}/de/man8/dpkg-*.8*
%lang(de) %{_mandir}/de/man8/update-alternatives.8*
%lang(es) %{_mandir}/es/man1/dpkg*.1*
%lang(es) %{_mandir}/es/man5/deb*.5*
%lang(es) %{_mandir}/es/man5/dpkg.cfg.5*
%lang(es) %{_mandir}/es/man8/dpkg-*.8*
%lang(es) %{_mandir}/es/man8/update-alternatives.8*
%lang(fr) %{_mandir}/fr/man1/dpkg*.1*
%lang(fr) %{_mandir}/fr/man5/deb*.5*
%lang(fr) %{_mandir}/fr/man5/dpkg.cfg.5*
%lang(fr) %{_mandir}/fr/man8/dpkg-*.8*
%lang(fr) %{_mandir}/fr/man8/update-alternatives.8*
%lang(hu) %{_mandir}/hu/man5/dpkg.cfg.5*
%lang(ja) %{_mandir}/ja/man1/dpkg*.1*
%lang(ja) %{_mandir}/ja/man5/deb*.5*
%lang(ja) %{_mandir}/ja/man5/dpkg.cfg.5*
%lang(ja) %{_mandir}/ja/man8/dpkg*.8*
%lang(ja) %{_mandir}/ja/man8/update-alternatives.8*
%lang(pl) %{_mandir}/pl/man1/dpkg*.1*
%lang(pl) %{_mandir}/pl/man5/deb*.5*
%lang(pl) %{_mandir}/pl/man5/dpkg.cfg.5*
%lang(pl) %{_mandir}/pl/man8/dpkg-*.8*
%lang(pl) %{_mandir}/pl/man8/update-alternatives.8*
%lang(sv) %{_mandir}/sv/man1/dpkg*.1*
%lang(sv) %{_mandir}/sv/man5/deb*.5*
%lang(sv) %{_mandir}/sv/man5/dpkg.cfg.5*
%lang(sv) %{_mandir}/sv/man8/dpkg-*.8*
%lang(sv) %{_mandir}/sv/man8/update-alternatives.8*

%files -n libdpkg-devel
%defattr(644,root,root,755)
%{_libdir}/libdpkg.a
%{_includedir}/dpkg
%{_pkgconfigdir}/libdpkg.pc
%changelog
* Sun Jul 29 2012 Jakub Bogusz <qboosh@pld-linux.org> d6249c2
- updated to 1.16.8

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 3477ad1
- updated to 1.16.5
- updated configure options so that files cleanup is not needed

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 923e2cf
- updated to 1.16.4.2

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fa52672
- updated to 1.16.3
- check-files cleanup

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 3e75a3a
- updated to 1.16.2

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> bb71454
- Up to 1.16.1.2

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> aa52021
- Up to 1.16.0.3

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 57d27c4
- updated to 1.16.0.2

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> c46d354
- Up to 1.16.0.1

* Sun Mar 06 2011 Jan Rękorajski <baggins@pld-linux.org> ffa0af3
- rel 3
- Tie::ExtraHash is part of Tie::Hash, provided by perl-base

* Sun Mar 06 2011 Jan Rękorajski <baggins@pld-linux.org> 392fa82
- rel 2
- blacklist false deps

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> e2582a2
- po4a dep is bogous, just needs exist, so set it to true

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 1c3e1c0
- generate perl deps
- BR: pkgconfig, po4a, rpm-perlprov

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 73b6759
- updated to 1.15.8.10, BRs cleanup

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 9940399
- updated to 1.15.8.8
- added libdpkg-devel package

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 1e9fbf3
- Up to 1.14.30

* Fri Jun 04 2010 arvenil <arvenil@pld-linux.org> d52c6c8
- up to 1.14.29

* Tue Dec 11 2007 Elan Ruusamäe <glen@pld-linux.org> 47be6b2
- usable; rel 2

* Tue Dec 11 2007 Elan Ruusamäe <glen@pld-linux.org> a1e6a9f
- rel 1

* Mon Jul 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 8062268
- perl-base not perl

